#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2016, 2017. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# ApplyFTM_OpDataNoRestrict.sh
# Populates the FTM Database with the FTM IP Application Configuration (Unix Version)
# ---------------------------------------------------------------------


if [ -z "$3" ]
then
	echo "Syntax: ApplyFTM_OpDataNoRestrict.sh [Database Name] [Database Schema] [security flag]"
	echo "      :"
	echo "      : security flag is 'security_on' or 'security_off'" 
else
	DB_NAME=$1
	DB_SCHEMA=$2

	db2 connect to $DB_NAME
	db2 set current schema $DB_SCHEMA
        db2 set current path $DB_SCHEMA
	
	if [ "$3" = "security_on" ]
	then
		db2 -tvf view_all_secure.sql
	else
		if [ "$3" = "security_off" ]
		then
			db2 -tvf view_all_no_secure.sql
		else
			echo "Error: Security flag must be 'security_on' or 'security_off'"
		fi
	fi
fi

# *
# * End!
# *
