@echo off
REM ---------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM Copyright IBM Corporation 2016, 2017. All Rights Reserved.
REM
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp. 
REM ---------------------------------------------------------------------
REM ftmip_config.cmd
REM Populates the FTM Database with the FTM IP Configuration (Windows Version)
REM ---------------------------------------------------------------------
setlocal

if "%2"=="" goto usage

REM Replace the parameter markers in the config.sql file(Ref: Task 45124).
REM Work with a copy of the file to make the parameter marker changes. 
copy config.sql temp_config.sql

REM Read in the required properties for use in the parameter markers.
FOR /f "tokens=1,2 delims==" %%A IN (%~n0.properties) DO ( 
  set %%A=%%B
  powershell -Command "&{ param($Path); $Utf8NoBomEncoding = New-Object System.Text.UTF8Encoding($False); $MyFile = Get-Content $Path; $MyFile = $MyFile -replace '\+\+%%A\+\+', '%%B'; [System.IO.File]::WriteAllLines($Path, $MyFile, $Utf8NoBomEncoding) }" temp_config.sql
)

echo Connecting to the database... 	
db2 connect to %1

echo Setting the current schema...
db2 set current schema %2

echo Setting the current path...
db2 set current path %2

echo Processing the Configuration data...
db2 -tvf temp_config.sql

echo Processing the FSM data...
db2 -tvf fsm.sql

echo Processing Resource permissions...
db2 -tvf resource_permissions.sql

echo Processing Group permissions...
db2 -tvf group_permissions.sql

echo Processing development settings...
db2 -tvf dev_config.sql

echo Defining custom queries...
db2 -tvf custom_queries.sql 	
	
:disconnect
echo Disconnecting from the database...
db2 connect reset

endlocal	

goto exit

:usage
echo Syntax:ftmip_config.cmd [Database Name] [Database Schema]

:exit
REM End!
